Summary: Connection shell to allow only scp/sftp/rsync.
Name:	 scponly
Version: 4.6
Release: 2.%{mysig}
License: BSD
Group:   System Environment/Shells
URL:     http://sublimation.org/scponly/
Source0: %name-%version.tgz
BuildRequires:	openssh-server, rsync
BuildRoot: %_tmppath/%name-buildroot

%description
"scponly" is an alternative 'shell' (of sorts) for system
administrators who would like to provide access to remote users to
both read and write local files without providing any remote execution
priviledges. Functionally, it is best described as a wrapper to the
"tried and true" ssh suite of applications.

%prep
%setup -q

%build
%configure --enable-rsync-compat --enable-chrooted-binary
make

%install
perl -p -i -e 's/-o 0 -g 0//' Makefile*
%makeinstall CONFDIR=$RPM_BUILD_ROOT/%_sysconfdir/scponly

%post
if [ ! -f /etc/shells ]; then
        echo "%{_bindir}/scponly" >> /etc/shells
        echo "%{_sbindir}/scponlyc"  >> /etc/shells
else
        grep -q '^%{_bindir}/scponly$' /etc/shells || \
        echo "%{_bindir}/scponly" >> /etc/shells
        grep -q '^%{_sbindir}/scponlyc$'  /etc/shells || \
        echo "%{_sbindir}/scponlyc"  >> /etc/shells
fi

%postun
if [ ! -x %{_bindir}/scponly ]; then
        grep -v '^%{_bindir}/scponly$'  /etc/shells | \
        grep -v '^%{_bindir}/scponlyc$' > /etc/shells.rpm
        cat /etc/shells.rpm > /etc/shells && rm /etc/shells.rpm
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHOR BUILDING-JAILS.TXT CONTRIB COPYING CHANGELOG README 
%dir %_sysconfdir/scponly
%config(noreplace) %_sysconfdir/scponly/debuglevel
%_bindir/scponly
%_sbindir/scponlyc
%_mandir/man8/scponly.8.gz

%changelog
* Sat Sep 16 2006 Milan Kerslager <kerslage@linux.cz> 4.6-1.ker.rhel4
- updated to the latest release

* Fri Mar 04 2005 Milan Kerslager <kerslage@linux.cz> 4.0-1.ker.rhel4
- rebuild for RHEL4

* Fri Dec 17 2004 Milan Kerslager <kerslage@linux.cz> 4.0-1.ker.rhel3
- updated to the latest release
- security fix: http://www.securityfocus.com/archive/1/383046

* Thu Apr 08 2004 Milan Kerslager <kerslage@linux.cz> 3.11-1.ker.rhel3
- initial package
